package com.sifang.modules.sys.web.form;

import org.hibernate.validator.constraints.NotBlank;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class NotificationForm {

    private String id;
    private String title;
    private String html;
    private String objType;
    private String province;
    private String city;
    private String isMany;
    private String customerId;
    private String loginNumMin;
    private String loginNumMax;
    private Date stationBuildingStart;
    private Date stationBuildingEnd;
    private String customerName;

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getProvince() {
        return province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getIsMany() {
        return isMany;
    }

    public void setIsMany(String isMany) {
        this.isMany = isMany;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getLoginNumMin() {
        return loginNumMin;
    }

    public void setLoginNumMin(String loginNumMin) {
        this.loginNumMin = loginNumMin;
    }

    public String getLoginNumMax() {
        return loginNumMax;
    }

    public void setLoginNumMax(String loginNumMax) {
        this.loginNumMax = loginNumMax;
    }

    public Date getStationBuildingStart() {
        return stationBuildingStart;
    }
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    public void setStationBuildingStart(Date stationBuildingStart) {
        this.stationBuildingStart = stationBuildingStart;
    }

    public Date getStationBuildingEnd() {
        return stationBuildingEnd;
    }
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    public void setStationBuildingEnd(Date stationBuildingEnd) {
        this.stationBuildingEnd = stationBuildingEnd;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @NotBlank
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @NotBlank
    public String getHtml() {
        return html;
    }

    public void setHtml(String html) {
        this.html = html;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }
}
